import { get } from "../config/request";

export const getLog = async ({ ptId, isPT }) => {
	try {
		let url = `/log?ptId=${ptId}`;
		if (isPT) url += `&isPT=true`;
		const res = await get(url);
		return res.data;
	} catch (error) {
		console.log("error", error);
		return false;
	}
};

export const getLogPublic = async ({ ptId, laporanId }) => {
	try {
		let url = `/log/public?ptId=${ptId}&laporan=${laporanId}`;
		const res = await get(url);
		return res.data;
	} catch (error) {
		console.log("error", error);
		return false;
	}
};
